Subject: [mpls] Some questions about draft-ietf-mpls-ldp-p2mp-00 (LDP-P2MP)

From: Cao Wei <[email-masked]>
Date: Tue, 25 Apr 2006 16:25:58 +0800

Hi, all,
    
    I have read draft-ietf-mpls-ldp-p2mp-00 and have a few quesitons.  
    
    1. about choosing upstream LSR. 
      As defined in 2.3.1.1:
         If there are  more than one such LDP peers, only one of them is picked.
                                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^            
      The question is: How to choose the "Only One". It may depend on the LSR's
      IP address, or priority or others. This draft doesn't describe the method.
      I think it is better to make it clear to avoid confusion.
      
    2. About the MP2MP.
      The methodology to build multicast LSPs described in this draft are similar 
      to PIM. P2MP seems very similar to SSM. As to MP2MP, I think it is very 
      similar to BiDir-PIM, which is described in draft-ietf-pim-bidir-08.txt. 
      
      BiDir model has some advantages in some environment.For example, reduce the 
      forwarding entry number. But is this the most popular topology in the network?
      It assumes all receivers will send data to all other receivers in the same group,
      but I think ASM model defined by PIM-SM may be more prevalent. Will MP2MP 
      or this draft consider more on ' M to N' delivery model and don't assume a 
      receive to be a sender?
      
 Thanks!
 
 BTW, I found a few minor editorial mistakes: 
 There are double 'over over' in 4.2.1.5.1 and 4.2.1.5.2.
 In section 5 line 2, 'more then' should be 'more than'.
    
_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls